#include "Module.h"

Module::Module(int id, int nchip, int type) :
    _id(id), _type(type), _nchip(nchip), _nchan(0), _ntot(0), _pad_map(0), _config(0)
{
}

Module::~Module()
{
    if (_config)
        delete _config;
}

void Module::set_config(ModuleConfig *C)
{
    if (_config)
        delete _config;

    _config = C;
}
