/* -*- mode: c++ -*- */
#ifndef __vmedaq_CORBAServer_h__
#define __vmedaq_CORBAServer_h__
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#if defined(HAS_DAQcorba)
#include <DAQcorba/Server.h>
#include <DAQcorba/DAQ-utils.h>
#include <DAQcorba/MsgManager.h>

/**
 * This is an implementation of the CORBA server
 */
class MyServer : public DAQpp::CORBA::Server
{
    private:
        DAQpp::CORBA::MsgManager *msg;
    public:
        MyServer()
        {}
        void prepare_to_stop();
        ~MyServer()
        {}

        void setup_daq();
};

void setup_corba(int argc, char **argv, MyServer &, const std::string &ior_loc);
#endif
#endif
