#ifndef __MyMonitor_h__
#define __MyMonitor_h__

#include <DAQ++/Monitor.h>
#include <DAQ++/RunManager.h>

/**
 * \ingroup DAQ
 * Class to monitor the data
 */
class MyMonitor : public DAQpp::Monitor
{
    private:
        unsigned long counter;
        DAQpp::RunManager *rm;
    public:
        MyMonitor(DAQpp::RunManager *r, int size = 250) :
            DAQpp::Monitor(size), rm(r)
        {
        }
        unsigned long counts() const
        {
            return counter;
        }
        bool user_run(DAQpp::Event *);
};
#endif
