#ifndef __gtkutils_h__
#define __gtkutils_h__
#include <gtk/gtk.h>
#include <string>
#include <vector>
gint gtk_option_menu_get_history(GtkOptionMenu * option_menu);
gint gtk_menu_get_history(GtkMenu * menu);
void        change_button_pixmap(GtkWidget *btn, GtkWidget *img);
GtkWidget*  create_pixmap              (GtkWidget       *widget,
                                        const gchar     *filename);
void activate_group(GtkWidget *w, gboolean sensitive);
std::string get_file_name(const char *title, gboolean for_open, const char **filters = 0);

void gtk_help_display(const char *link_id);

std::string get_a_string(const std::string &title, const std::string &prompt);
int get_a_string_list(const std::string &title, const std::string &prompt, std::vector<std::string> &values);
#endif
