A trigger module has an implementation of a DAQpp::DAQtrigger object
and a number of hooks to enable, disable, etc. The hooks are:
   enable (mandatory) : take the necessary actions to enable the
                        triggers.
   disable (mandatory): take the necessary action to disable the
                        triggers
   start (optional):    called at the start of each run to make any
	                initialization that could be needed
   stop  (optional):    called at the end of run to do whatever might
                        be needed at this time
   reset (optional):    called at the end of each event.

In the configuration file one should configure this in the <plugins>
section under <interrupt>. For example:

   <plugins>
      ...
      <interrupt>
        <enable>enable_interrupts</enable>
        <disable>disable_interrupts</disable>
        <reset>reset_interrupts</reset>
        <start>start_interrupts</start>
        <stop>stop_interrupts</stop>
        <lib>glib_trigger.so</lib>
      </interrupt>
   </plugins>

