#include <config/Config.h>
#include "FBTDCmodule_analysis.h"

FBTDCmodule_analysis::FBTDCmodule_analysis(int n_chip, int n_chan) :
    Analysis(n_chip, n_chan)
{
}

FBTDCmodule_analysis::~FBTDCmodule_analysis()
{
}

void FBTDCmodule_analysis::decode(unsigned int *data)
{
    double *out = Event();
    double *chan = Chan();

    //KH: what does that do?
    DoCommonMode(false);

    int sz = data[0] & 0xffff; // check to get word count
    int i, add, val;

    // Clear output array
    std::vector<int> chan_list;
    for (i = 0; i < Ntot(); i++)
        chan[i] = out[i] = 0.;

    for (i = 0; i < sz; i++)
    {
        add = (data[3+i] >> 17) & 0x7F;
        val = data[3+i] & 0xFFFF;
        chan[add] = out[add] = val;
        add_hit(add);
    }
}
