#include <ctype.h>
#include "config_utils.h"

int (*__flower)(int) = tolower;
int (*__fupper)(int) = toupper;

std::pair<std::string, std::string> split_path(const std::string path)
{
    std::string::size_type jp = path.find_last_of('/');
    if (jp==path.npos)
    {
        return std::pair<std::string, std::string>("",path);
    }
    else
    {
        std::string::size_type ip;
        if (jp==0)
            ip = 1;
        else
        {
            ip = jp-1;
        }
        return std::pair<std::string, std::string>(path.substr(0, ip), path.substr(jp+1));
    }
}