#ifndef __PMT_USB__
#define __PMT_USB__

#include "ftdiUSB.h"
#include <usb.h>

class dacUSB;
class delayUSB;

unsigned char SetBit(int bit, bool value, unsigned char& word);

class pmtUSB
{
public:
    pmtUSB(unsigned int serial);
    ~pmtUSB();


    //public:
    //dacUSB *GetDac(){ return dac;}
    //delayUSB *GetDelay(){return delay;}

public:
    void set_delay(unsigned char delay);
    void setDACi(int ch, unsigned int value);
    void setDACd(int ch, double value);

private:
    void writeDAC(unsigned int data);


private:
    //dacUSB *dac;
    ftdiUSB *fUSB;

public:
    enum bits{ CLOCK = 0, DATA = 1, LOAD = 2, LDAC = 3, LATCH = 7};
    static const int ndata = 12;
    static const int nbits = 8;

};

// class dacUSB{
// public:
//   dacUSB(ftdiPort* _fPort):fPort(_fPort){;}
//   ~dacUSB(){;}

// public:
//   int setDACd(int ch, double value);
//   int setDACi(int ch, unsigned int value);

// private:
//   int writeDAC(unsigned int data);

// public:
//   enum bits{ CLOCK=0, DATA=1, LOAD=2, LDAC=3};
//   static const int ndata=12;
//   static const int nbits=8;
//   static const int nch=8;

//  private:
//   ftdiPort *fPort;
// };

// class dacUSB_Error{;};
class pmtUSB_Error
{
    ;
};

#endif
