#ifndef __SERIAL_COMM_
#define __SERIAL_COMM_

class SerialComm
{

protected:
    int fd;

public:
    enum PortSettings{DATA7_PAREVEN_STOP2,DATA8_PARNONE_STOP1,};
    SerialComm( const char* serialPort, PortSettings ps=DATA8_PARNONE_STOP1 );
    ~SerialComm();
    int initSerialComm( const char* port, PortSettings ps=DATA8_PARNONE_STOP1);
    int flush() const;
    int write( const char *cmd ) const;
    int readline( char resp[], char end_marker = '\n' ) const;
    char getc() const;

};

class SerialComm_Err
    {};

#endif


