#include "serialComm.h"

class VelmexDriver: public SerialComm
{
public:
  VelmexDriver( const char* serialPort, SerialComm::PortSettings ps=SerialComm::DATA8_PARNONE_STOP1 );
  
    int  GetPos( int mtr ) const ;
    int  Move( int mtr, int steps );

    int  SetSpeed( int mtr, int speed );
    int  SetZero();
    int  GoToZero( int mtr );
    int  GoToExtremum( bool max, int mtr ) const;
    char sendCommand( const char* command ) const;
    int  Clear() const;

private:
    int GetX() const;
    int GetY() const;
    int GetZ() const;
};

struct VelmexDriver_Error
{
    ;
};



